2018-12-17 06:12 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004930Talerotherpublic2018-09-15 11:06
ReporterMarcello Stanisci 
Assigned ToMarcello Stanisci 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.6Fixed in Version0.6 
Summary0004930: Render 'conflict' errors due to /track operations.
Description'backoffice' category here.

Since no frontend returns HTML anymore when doing backoffice activity,
JS is in charge of rendering /track related errors.

In particular, conflicts related to /track operations contain non trivial
data that needs to be properly rendered.

Of course, other errors like 404 (e. g. "unknown order") are to be rendered too.
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
parent of 0005365resolvedMarcello Stanisci Caching results makes testing difficult. 
child of 0005303resolvedMarcello Stanisci Resume the back-office site. 
+Relationships

-Notes

~0012898

Marcello Stanisci (manager)

This issue doesn't depend on the twister anymore,
as one is now usable. Deleting its "child" status.

~0013082

Marcello Stanisci (manager)

It's right that the Twister is not a blocker for this anymore, but the situation is still pending: the merchant returns cached results for /track operations and so twisting the communication between the merchant backend and the exchange helps very little (helps just on the very first request merchant->exchange).

~0013083

Marcello Stanisci (manager)

A possible solution is to generate X trackable transactions and NOT make them fall under the same aggregation. This way, manual testing can be done on those X entries. As of X, the bigger the better.

~0013113

Marcello Stanisci (manager)

Manually tested on Tripwire, thanks to 0005365 and 0005366.

~0013114

Marcello Stanisci (manager)

0005366 not related here anymore, because it's more a wishlist than a bug now.
+Notes

-Issue History
Date Modified Username Field Change
2017-03-04 10:49 Marcello Stanisci New Issue
2017-03-04 10:49 Marcello Stanisci Assigned To => Marcello Stanisci
2017-03-04 10:49 Marcello Stanisci Status new => assigned
2017-03-04 10:50 Marcello Stanisci Description Updated View Revisions
2017-03-06 00:24 Christian Grothoff Product Version => SVN HEAD
2017-03-06 00:24 Christian Grothoff Target Version => 0.3
2017-04-30 13:31 Marcello Stanisci Relationship added child of 0004782
2017-04-30 13:31 Marcello Stanisci Relationship deleted child of 0004782
2017-04-30 13:32 Marcello Stanisci Relationship added child of 0004781
2017-04-30 16:54 Christian Grothoff Target Version 0.3 => 0.6
2018-03-27 11:43 Marcello Stanisci Note Added: 0012898
2018-03-27 11:43 Marcello Stanisci Relationship deleted child of 0004781
2018-06-08 11:21 Marcello Stanisci Description Updated View Revisions
2018-06-26 15:05 Marcello Stanisci Note Added: 0013082
2018-06-26 15:25 Marcello Stanisci Relationship added child of 0005303
2018-06-26 15:26 Marcello Stanisci Relationship added parent of 0005366
2018-06-26 15:26 Marcello Stanisci Relationship added parent of 0005365
2018-06-26 15:41 Marcello Stanisci Note Added: 0013083
2018-06-29 12:01 Marcello Stanisci Note Added: 0013113
2018-06-29 12:02 Marcello Stanisci Note Added: 0013114
2018-06-29 12:02 Marcello Stanisci Relationship deleted parent of 0005366
2018-06-29 12:03 Marcello Stanisci Status assigned => resolved
2018-06-29 12:03 Marcello Stanisci Resolution open => fixed
2018-09-15 11:06 Christian Grothoff Fixed in Version => 0.6
+Issue History